GDBserver

Namespaces | Functions | Variables
linux-x86-tdesc-selftest.c File Reference
`#include "server.h"`
`#include "linux-x86-tdesc.h"`
`#include "tdesc.h"`
`#include "common/selftest.h"`
`#include "x86-xstate.h"`

Go to the source code of this file.

## Namespaces
| selftests
| selftests::tdesc

## Functions
void | init_registers_i386_linux (void)
void | init_registers_i386_mmx_linux (void)
void | init_registers_i386_avx_linux (void)
void | init_registers_i386_avx_mpx_linux (void)
void | init_registers_i386_avx_avx512_linux (void)
void | init_registers_i386_avx_mpx_avx512_pku_linux (void)
void | init_registers_i386_mpx_linux (void)
static void | selftests::tdesc::i386_tdesc_test ()
void | initialize_low_tdesc ()

## Variables
const struct target_desc * | tdesc_i386_linux
const struct target_desc * | tdesc_i386_mmx_linux
const struct target_desc * | tdesc_i386_avx_linux
const struct target_desc * | tdesc_i386_avx_mpx_linux
const struct target_desc * | tdesc_i386_avx_avx512_linux
const struct target_desc * | tdesc_i386_avx_mpx_avx512_pku_linux
const struct target_desc * | tdesc_i386_mpx_linux

## Function Documentation

## ◆ init_registers_i386_avx_avx512_linux()

void init_registers_i386_avx_avx512_linux | ( | void |  | ) |

Referenced by initialize_low_tdesc().

## ◆ init_registers_i386_avx_linux()

void init_registers_i386_avx_linux | ( | void |  | ) |

Referenced by initialize_low_tdesc().

## ◆ init_registers_i386_avx_mpx_avx512_pku_linux()

void init_registers_i386_avx_mpx_avx512_pku_linux | ( | void |  | ) |

Referenced by initialize_low_tdesc().

## ◆ init_registers_i386_avx_mpx_linux()

void init_registers_i386_avx_mpx_linux | ( | void |  | ) |

Referenced by initialize_low_tdesc().

## ◆ init_registers_i386_linux()

void init_registers_i386_linux | ( | void |  | ) |

Referenced by initialize_low_tdesc().

## ◆ init_registers_i386_mmx_linux()

void init_registers_i386_mmx_linux | ( | void |  | ) |

Referenced by initialize_low_tdesc().

## ◆ init_registers_i386_mpx_linux()

void init_registers_i386_mpx_linux | ( | void |  | ) |

Referenced by initialize_low_tdesc().

## ◆ initialize_low_tdesc()

void initialize_low_tdesc | ( |  | ) |

Definition at line 157 of file linux-x86-tdesc-selftest.c.

References selftests::tdesc::aarch64_tdesc_test(), selftests::tdesc::i386_tdesc_test(), init_registers_aarch64(), init_registers_amd64_linux(), init_registers_i386_avx_avx512_linux(), init_registers_i386_avx_linux(), init_registers_i386_avx_mpx_avx512_pku_linux(), init_registers_i386_avx_mpx_linux(), init_registers_i386_linux(), init_registers_i386_mmx_linux(), init_registers_i386_mpx_linux(), and selftests::register_test().

## Variable Documentation

## ◆ tdesc_i386_avx_avx512_linux

const struct target_desc* tdesc_i386_avx_avx512_linux

Referenced by selftests::tdesc::i386_tdesc_test().

## ◆ tdesc_i386_avx_linux

const struct target_desc* tdesc_i386_avx_linux

Referenced by selftests::tdesc::i386_tdesc_test().

## ◆ tdesc_i386_avx_mpx_avx512_pku_linux

const struct target_desc* tdesc_i386_avx_mpx_avx512_pku_linux

Referenced by selftests::tdesc::i386_tdesc_test().

## ◆ tdesc_i386_avx_mpx_linux

const struct target_desc* tdesc_i386_avx_mpx_linux

Referenced by selftests::tdesc::i386_tdesc_test().

## ◆ tdesc_i386_linux

const struct target_desc* tdesc_i386_linux

Referenced by selftests::tdesc::i386_tdesc_test().

## ◆ tdesc_i386_mmx_linux

const struct target_desc* tdesc_i386_mmx_linux

Referenced by selftests::tdesc::i386_tdesc_test().

## ◆ tdesc_i386_mpx_linux

const struct target_desc* tdesc_i386_mpx_linux

Referenced by selftests::tdesc::i386_tdesc_test().